> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create your time off!



## OpenAPI

````yaml post /v1/users/time-off
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://platform.thena.ai
    description: production
security:
  - bearerAuth: []
tags:
  - name: Thena Platform APIs
    description: ''
paths:
  /v1/users/time-off:
    post:
      tags:
        - Users
      summary: Create your time off!
      operationId: UsersTimeOffActionController_addTimeOff
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTimeOffDto'
      responses:
        '201':
          description: Operation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonTimeOffResponse'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    CreateTimeOffDto:
      type: object
      properties:
        startDate:
          type: string
          description: The start date of the time off in Zulu time
          example: '2024-01-01T00:00:00.000Z'
        endDate:
          type: string
          description: The end date of the time off in Zulu time
          example: '2024-01-02T23:59:59.999Z'
        description:
          type: string
          description: The description of the time off
          example: I'm going to be on vacation
        type:
          type: string
          description: The type of the time off
          example: VACATION
      required:
        - startDate
        - endDate
        - type
    CommonTimeOffResponse:
      type: object
      properties:
        status:
          type: boolean
          default: true
          description: The status of the response
        message:
          type: string
          default: Success
          description: The message of the response
        timestamp:
          format: date-time
          type: string
          default: '2024-01-01T00:00:00.000Z'
          description: The timestamp of the response
        data:
          description: The response for create/update/delete time off operations
          allOf:
            - $ref: '#/components/schemas/TimeOffResponseDto'
      required:
        - status
        - message
        - timestamp
        - data
    TimeOffResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The id of the time off
        startDate:
          type: string
          description: The start date of the time off in Zulu time
        endDate:
          type: string
          description: The end date of the time off in Zulu time
        description:
          type: string
          description: The description of the time off
        type:
          type: string
          description: The type of the time off
      required:
        - id
        - startDate
        - endDate
        - description
        - type
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Enter the bearer token

````